### Hierarchy

- Header

## Index

### Inputs

- brand
- name
- route
- routeExtras
- skipTo
- useRouter
- href

### Outputs

- navigation

### Constructors

- constructor

### Properties

- _href
- brand
- domSanitizer
- i18n
- name
- navigation
- route
- routeExtras
- router
- skipTo
- useRouter

### Accessors

- href

### Methods

- isTemplate
- navigate

## Constructors

### constructor

- new Header(i18n: I18n, domSanitizer: DomSanitizer, router: Router): Header

- - Defined in src/ui-shell/header/header.component.ts:107

  #### Parameters

  - ##### i18n: I18n

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns Header

## Properties

### Protected _href

_href: string = "javascript:void(0)"

- Defined in src/ui-shell/header/header.component.ts:107

### brand

@Input()
brand: string | TemplateRef<any> = "IBM"

- Defined in src/ui-shell/header/header.component.ts:73

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/ui-shell/header/header.component.ts:111

### i18n

i18n: I18n

- Defined in src/ui-shell/header/header.component.ts:110

### name

@Input()
name: string

- Defined in src/ui-shell/header/header.component.ts:69

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/ui-shell/header/header.component.ts:105

### route

@Input()
route: any[]

- Defined in src/ui-shell/header/header.component.ts:89

### routeExtras

@Input()
routeExtras: any

- Defined in src/ui-shell/header/header.component.ts:95

### Protected router

@Optional()
router: Router

- Defined in src/ui-shell/header/header.component.ts:112

### skipTo

@Input()
skipTo: string

- Defined in src/ui-shell/header/header.component.ts:65

### useRouter

@Input()
useRouter: boolean = false

- Defined in src/ui-shell/header/header.component.ts:100

## Accessors

### href

@Input()
href:

- Defined in src/ui-shell/header/header.component.ts:77
- Defined in src/ui-shell/header/header.component.ts:81

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/ui-shell/header/header.component.ts:114

  #### Parameters

  - ##### value: any

  #### Returns boolean

### navigate

- navigate(event: any): void

- - Defined in src/ui-shell/header/header.component.ts:118

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc